﻿using System;

namespace HeuristicLab.CommandLineInterface {

  /// <summary>
  /// Attribute to specify a class as application. The class still needs to implement the ICommand interface.
  /// </summary>
  [AttributeUsage(AttributeTargets.Class)]
  public class ApplicationAttribute : CommandAttribute {
    /// <summary>
    /// The version of the application.
    /// </summary>
    public string Version { get; set; }

    /// <summary>
    /// Constructor for the ApplicationAttribute.The parameter <paramref name="identifier"/> specifies the name of the application.
    /// </summary>
    /// <param name="identifier">Name of the application.</param>
    /// <param name="version">Version of the application.</param>
    public ApplicationAttribute(string identifier, string version) {
      Identifier = identifier;
      Version = version;
    }
  }
}
