﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HeuristicLab.CommandLineInterface.Data {
  /// <summary>
  /// Stores metadata for commands.
  /// </summary>
  internal sealed class CommandData {
    internal string Identifier { get; set; } = "";
    internal string Description { get; set; } = "";
    internal Type CommandType { get; set; }
    internal IList<OptionData> Options { get; private set; } = new List<OptionData>();
    internal IList<CommandData> Commands { get; private set; } = new List<CommandData>();
    internal IList<ValueData> Values { get; private set; } = new List<ValueData>();
    internal CommandData Parent { get; set; }
    internal ICommand Instance { get; set; }
  }
}
